FsmFramework.c File Reference
`#include "ES2_V4_app.h"`
Include dependency graph for FsmFramework.c:

## Functions

_Bool | bFsmframeworkInitialize (psStateMachine_t psStateMachine, psStateTable_t psStateTable, int32_t s32StartState, uint32_t u32StateCount, uint32_t u32EventCount, vCallback_t vInitCallback)
| Initialization of the State Machine. More...
_Bool | bFsmframeworkDispatchEvent (psStateMachine_t psStateMachine, int32_t s32Event)
| Dispatch Event. More...
int32_t | s32FsmframeworkGetState (psStateMachine_t psStateMachine)
| Get the actual state of a statemachine. More...
_Bool | bFsmframeworkIsStateChanged (psStateMachine_t psStateMachine)
| Get the statechanged flag. 1 if last event changed the state, 0 if last event did not changed the state. More...

## Variables

static uint32_t | u32StateMachineCount

## Variable Documentation

## u32StateMachineCount

uint32_t u32StateMachineCount

static